# prevent rpm to create debug files for binary content
%define _enable_debug_packages    %{nil}
%define debug_package     %{nil}
# disable automatic dependencies, because of shipped exploits
%define __find_provides %{nil}
%define __find_requires %{nil}
# The Python templates can not be byte-compiled.
%define _python_bytecompile_errors_terminate_build 0

Name:       w3af
Version:    1.5
Release:    %mkrel 7
Summary:    Web Application Attack and Audit Framework
Group:      Security
License:    GPLv2
URL:        http://w3af.sourceforge.net/
Source0:   http://sourceforge.net/projects/w3af/files/w3af/w3af%201.0-stable/w3af-%{version}.tar.gz
Patch0:     w3af-1.5-no-runtime-dependency-check.patch
Requires:   netcat
Requires:   tcpdump
Requires:   python
Requires:   python-chardet
Requires:   python-clamd
Requires:   python-cluster
Requires:   python-esmre
Requires:   python-fpconst
Requires:   python-futures
Requires:   python-gitpython
Requires:   python-guess-language
Requires:   python-json
Requires:   python-lxml
Requires:   python-msgpack
Requires:   python-nltk
Requires:   python-ntlm
Requires:   python-OpenSSL
Requires:   python-pdfminer
Requires:   python-phply
Requires:   python-pybloomfiltermmap
Requires:   python-pygithub
Requires:   python-pysvn
Requires:   python-sqlite
Requires:   python-soap
# for wordnet plugin
Requires:   python-numpy
Requires:   scapy
BuildArch:  noarch

%description
w3af is a Web Application Attack and Audit Framework. The project's goal is to
create a framework to find and exploit web application vulnerabilities that is
easy to use and extend. To read our short and long term objectives, please
click over the Project Objectives item in the main menu. This project is
currently hosted at SourceForge , for further information, you may also want to
visit w3af SourceForge project page.

%package gui
Summary:    GUI for %{name}
Group:      Monitoring
License:    GPLv2
Requires:   %{name} = %{version}-%{release}
Requires:   python-gtksourceview
Requires:   python-webkitgtk
Requires:   python-xdot
Requires:   graphviz

%description gui
This is a gui for %{name}.

%prep
%setup -q
%patch0 -p 1

rm -f plugins/attack/db/sqlmap/.gitignore
rm -f plugins/attack/db/sqlmap/.gitattributes

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 755 w3af_console %{buildroot}%{_datadir}/%{name}
install -m 755 w3af_gui %{buildroot}%{_datadir}/%{name}
cp -pr core %{buildroot}%{_datadir}/%{name}
cp -pr locales %{buildroot}%{_datadir}/%{name}
cp -pr plugins %{buildroot}%{_datadir}/%{name}
cp -pr profiles %{buildroot}%{_datadir}/%{name}
cp -pr scripts %{buildroot}%{_datadir}/%{name}
cp -pr tools %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/w3af_console <<EOF
#!/bin/sh
%{_datadir}/%{name}/w3af_console $@
EOF
chmod +x %{buildroot}%{_bindir}/w3af_console

cat > %{buildroot}%{_bindir}/w3af_gui <<EOF
#!/bin/sh
%{_datadir}/%{name}/w3af_gui $@
EOF
chmod +x %{buildroot}%{_bindir}/w3af_gui

%files
%doc doc/*
%{_datadir}/%{name}
%{_bindir}/w3af_console

%files gui
%{_bindir}/w3af_gui



%changelog
* Thu Oct 31 2013 guillomovitch <guillomovitch> 1.5-7.mga4
+ Revision: 548692
- use a straight dependency, as for netcat

* Thu Oct 31 2013 guillomovitch <guillomovitch> 1.5-6.mga4
+ Revision: 548688
- add a soft dependency on tcpdump

* Sat Oct 19 2013 umeabot <umeabot> 1.5-5.mga4
+ Revision: 533586
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 philippem <philippem> 1.5-4.mga4
+ Revision: 502643
- The Python templates can not be byte-compiled

* Sun Sep 01 2013 guillomovitch <guillomovitch> 1.5-3.mga4
+ Revision: 474019
- disable automatic dependencies, because of shipped exploits (#11072)

* Fri Aug 23 2013 guillomovitch <guillomovitch> 1.5-2.mga4
+ Revision: 470199
- switch to security group

* Fri Aug 23 2013 guillomovitch <guillomovitch> 1.5-1.mga4
+ Revision: 470185
- new version

* Mon Jan 14 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 385584
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 20 2012 guillomovitch <guillomovitch> 1.1-1.mga2
+ Revision: 198792
- new version
- fix wrappers to pass arguments
- apply patch0
- patch1: fix for upstream bug #166482 (fatal error in fingerprint_os)
- fix gui dependency name
- fix gui package dependencies
- set executable bit on gui wrapper
- fix dependencies

  + fwang <fwang>
    - use system netcat

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.0-2.mga2
+ Revision: 127482
- fix dependencies

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.0-1.mga2
+ Revision: 127323
- imported package w3af


* Thu Jul 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdv2011
+ Revision: 689135
- import w3af

